# Source script common for all upgrades
# this script contains some variables that will 
# be used around the upgrade

NEXT_GENERATION="llx1109"
NEXT_GENERATION_PATTERN="lx1109"
NEXT_CODENAME="marty"

OLD_GENERATION="llx1009"
OLD_GENERATION_PATTERN="lx1009"
OLD_CODENAME="leia"

BACKUP_SOURCES_LIST_PATH="/etc/apt/sources.list.backup-lliurex-up"
SOURCES_LIST_PATH="/etc/apt/sources.list"

PACKAGES_REMOVED_ON_SERVER="openjdk-6-jre-headless  openjdk-6-jre-lib openjdk-6-jre default-jre openjdk-6-jdk default-jdk libjama-java geogebra icedtea-6-jre-cacao default-jre-headless"
PACKAGES_INSTALL_ON_SERVER="lliurex-cdd-edu-class-gserver"

PACKAGES_INSTALL_ON_CLIENT="lliurex-cdd-edu-class-gclient"
PACKAGES_INSTALL_ON_DESKTOP="lliurex-cdd-edu-gdesktop"
PACKAGES_INSTALL_ON_MUSIC="lliurex-cdd-edu-music-gdesktop"
PACKAGES_INSTALL_ON_INFANTIL="lliurex-cdd-edu-infantil-gdesktop"
PACKAGES_INSTALL_ON_TEACHERS="lliurex-cdd-edu-class-teachers-gclient"
PACKAGES_INSTALL_ON_BIBLIOTECA="lliurex-cdd-edu-biblio-gserver"
PACKAGES_INSTALL_ON_LITE="lliurex-cdd-lxdesktop"

TOKENPATH="/tmp/"
TOKENSERVER="isServer"
TOKENCLIENT="isClient"
TOKENDESKTOP="isDesktop"
TOKENMUSIC="isMusic"
TOKENINFANTIL="isInfantil"
TOKENLITE="isLite"
TOKENTEACHERS="isTeachers"
TOKENPIME="isPime"
TOKENBIBLIO="isBiblio"

SOURCES_LIST_OK="deb http://lliurex.net/marty llx1109 main restricted universe multiverse partner "

IS_SERVER=0
IS_CLIENT=0
IS_BIBLIO=0
IS_DESKTOP=0
IS_MUSIC=0
IS_INFANTIL=0
IS_TEACHERS=0
IS_LITE=0

_isServer()
{
   if  [ ! -f  $TOKENPATH$TOKENSERVER ] ; then 
		IS_SERVER=1
	fi
}

_isClient()
{
	if [ ! -f $TOKENPATH$TOKENCLIENT ] ; then
		IS_CLIENT=1
	fi
}

_isBiblio()
{
	if [ ! -f $TOKENPATH$TOKENBIBLIO ] ; then
		IS_BIBLIO=1
	fi
}

_isDesktop()
{
	if [ ! -f $TOKENPATH$TOKENDESKTOP  ] ; then
		IS_DESKTOP=1
	fi
}

_isMusic()
{
	if  [ ! -f $TOKENPATH$TOKENMUSIC  ] ; then 
		IS_MUSIC=1
	fi
}

_isInfantil()
{
	if [ ! -f $TOKENPATH$TOKENINFANTIL ] ; then
		IS_INFANTIL=1
	fi
}

_isTeachers()
{
	if [ ! -f $TOKENPATH$TOKENTEACHERS  ] ; then
		IS_TEACHERS=1
	fi
}

_isLite()
{
	if  [ ! -f $TOKENPATH$TOKENLITE  ] ; then
		IS_LITE=1
	fi
}

_isPime()
{
    if [ ! -f $TOKENPATH$TOKENPIME ] ; then
        IS_PIME=1
    fi
}

######

_researchIsServer()
{
	lliurex-version -t server && touch 	$TOKENPATH$TOKENSERVER
}

_researchIsClient()
{
	lliurex-version -t client && touch $TOKENPATH$TOKENCLIENT
}

_researchIsBiblio()
{
	lliurex-version -t biblio && touch $TOKENPATH$TOKENBIBLIO
}

_researchIsDesktop()
{
	lliurex-version -t desktop && touch $TOKENPATH$TOKENDESKTOP
}

_researchIsMusic()
{
	lliurex-version -t music && touch $TOKENPATH$TOKENMUSIC
}

_researchIsInfantil()
{
	lliurex-version -t infantil && touch $TOKENPATH$TOKENINFANTIL
}

_researchIsTeachers()
{
	lliurex-version -t teachers && touch $TOKENPATH$TOKENTEACHERS
}

_researchIsLite()
{
	lliurex-version -t lite && touch $TOKENPATH$TOKENLITE
}

_researchIsPime()
{
    lliurex-version -t pime && touch $TOKENPATH$TOKENPIME
}

# Discover cdd-version for values

_discoverCddVersion()
{
	_isServer
	_isClient
	_isBiblio
	_isDesktop
	_isMusic
	_isInfantil
	_isTeachers
	_isLite
    _isPime
}

_researchCddVersion()
{
	_researchIsServer
	_researchIsClient
	_researchIsBiblio
	_researchIsDesktop
	_researchIsMusic
	_researchIsInfantil
	_researchIsTeachers
	_researchIsLite
}

