import gtk
import gtk.glade
import Core
import os
import sys
import subprocess
import gettext

gettext.textdomain('lliurex-up')
gtk.glade.textdomain('lliurex-up')
_ = gettext.gettext

class MainWindow:
	
	def __init__(self):
		
		#first we have to check some conditions

		if ((os.statvfs("/").f_bfree * os.statvfs("/").f_bsize) / (1024*1024*1024)) < 2: #less than 2GB available?
			md = gtk.MessageDialog(None, gtk.DIALOG_DESTROY_WITH_PARENT, gtk.MESSAGE_ERROR, gtk.BUTTONS_CLOSE, _("There's not enough space on disk to upgrade (2 GB needed)"))
			md.run()
 			md.destroy()
			sys.exit(1)

		llxversion = subprocess.Popen('lliurex-version', stdout=subprocess.PIPE).communicate()[0].rstrip()
		if '11.09' in llxversion: #current LliureX version is marty?
			md = gtk.MessageDialog(None, gtk.DIALOG_DESTROY_WITH_PARENT, gtk.MESSAGE_WARNING, gtk.BUTTONS_CLOSE, _("This system is already updated"))
 			md.run()
 			md.destroy()
			sys.exit(1)

		if 'server' in llxversion: #is this a server?
			dialog = gtk.Dialog(_("Warning"), None, gtk.DIALOG_DESTROY_WITH_PARENT, (gtk.STOCK_QUIT, gtk.RESPONSE_REJECT, gtk.STOCK_OK, gtk.RESPONSE_ACCEPT))
			label = gtk.Label(_("The network user's profiles will be deleted. Do you want to continue?"))
			dialog.vbox.pack_start(label)
			label.show()
			response = dialog.run()
			if response==gtk.RESPONSE_REJECT:
				dialog.destroy()
				sys.exit(1)
			dialog.destroy()

		#all checks passed, go on
		
		self.current_step=1
		
		try:		
			self.glade=gtk.glade.XML("/usr/share/lliurex-up/gui/rsrc/mainWindow.glade")
		except:
			self.glade=gtk.glade.XML("rsrc/mainWindow.glade")
		
		self.window=self.glade.get_widget("mainWindow")
		self.mainVbox=self.glade.get_widget("mainVbox")
		self.window.set_title(_("LliureX Updater"))
		self.window.connect("destroy",gtk.main_quit)
		
		self.cancelButton=self.glade.get_widget("cancelButton")
		self.backButton=self.glade.get_widget("backButton")
		self.nextButton=self.glade.get_widget("nextButton")
		self.exitButton=self.glade.get_widget("exitButton")
		
		self.cancelButton.connect("clicked",self.cancel_clicked)
		self.nextButton.connect("clicked",self.next_clicked)
		self.exitButton.connect("clicked",self.cancel_clicked)
				
		self.window.show_all()
		self.backButton.hide()
		self.exitButton.hide()
				
		self.core=Core.Core.get_core()
		
		
	#def init
	
	def cancel_clicked(self,button,data=None):
		
		gtk.main_quit()
		
		
		
	#def cancel_clicked
	
	def next_clicked(self,button,data=None):

		self.current_step+=1
		
		if self.current_step==2:
			self.core.set_current_step(self.core.step2.widget)
			
		if self.current_step==3:
			self.core.mw.cancelButton.set_sensitive(False)
			self.core.mw.nextButton.set_sensitive(False)
			self.core.set_current_step(self.core.step3.widget)
			self.core.step3.run_command()

		
	#def next_clicked
	
#class MainWindow


